FROM node:20.10.0

WORKDIR /usr/src/app

COPY package.json ./package.json
COPY package-lock.json ./package-lock.json

RUN npm i
RUN apt update && apt install -y postgresql-client

RUN mkdir src
RUN mkdir translations
COPY src src
COPY scheme.psql .
COPY cities.sql .
COPY translations translations

CMD ["npm", "run" ,"start"]